Subject: Re: [Dart] draft-ietf-dart-dscp-rtp-02 - Section 5.3 RTCP multi-stream optimization text

From: "Black, David" <[email-masked]>
Date: Tue, 26 Aug 2014 12:27:14 -0400

<editor hat OFF>

Colin writes:

   The discussion of the multi-stream-optimisation draft is a separate
   issue, and is correct as it is.

Looking closer, that discussion in the current DART draft currently says:

   RTCP multi-stream reporting optimizations for an RTP session
   [I-D.ietf-avtcore-rtp-multi-stream-optimisation] assume that the RTP
   streams involved experience the same packet loss behavior.  This
   mechanism is highly inappropriate when the RTP streams involved use
   different PHBs, even if those PHBs differ solely in drop precedence.

That's based on this text from the last paragraph of Section 1
(Introduction) of the multi-stream optimization draft:

   This memo defines such an RTCP extension, RTCP Reporting Groups.
   This extension is used to indicate the SSRCs that originate from the
   same endpoint, and therefore have identical reception quality, hence
   allowing the endpoints to suppress unnecessary RTCP reception quality
   reports.

When different DSCPs are used for SSRCs (RTP streams) that originate
from the same source, the statement that they "therefore have identical
reception quality" is clearly incorrect, so it looks like the current
DART draft text is correct, IMHO.

Harald?

</editor hat OFF>

Thanks,
--David

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Tuesday, August 26, 2014 11:54 AM
> To: Black, David
> Cc: Ben Campbell; Paul E. Jones; [email-masked]; [email-masked] WG; draft-ietf-
> [email-masked]
> Subject: Re: Treatment of RTCP (was Re: [Dart] Colin Perkins comments - WGLC:
> draft-ietf-dart-dscp-rtp-02)
> 
> 
> On 26 Aug 2014, at 16:39, Black, David <[email-masked]> wrote:
> 
> >>> Since not all the media sent by a single SSRC has the same marking, my
> >> suggestion would be that each SSRC mark the RTCP packets it sends with one
> of
> >> the same code points as it uses to mark the media. Since RTCP is somewhat
> >> important, it would make sense for each SSRC to mark the RTCP packets it
> sends
> >> using the highest priority code point it uses to mark the RTP media packets
> it
> >> sends.
> >>
> >> That makes sense to me. Paul, and others, do you agree with that last
> >> paragraph?
> >
> > <editor hat off>
> >
> > Sure, when there's a notion of priority or importance.  There won't always
> > be one (e.g., is CS2 higher priority than AF2x?  That depends ...).  OTOH,
> > we don't need to say much here, e.g., the class selector codepoints (CSx)
> > are ordered, and adding a pointer to draft-ietf-tsvwg-rtcweb-qos will be
> > helpful.
> >
> > </editor hat off>
> >
> > Turning to the other RTCP issue, [F] on multi-stream optimization, I wonder
> > whether we inadvertently framed that issue backwards.  Given the above, a
> > single RTCP report on multiple RTP streams that use rather different DSCPs
> > may not result in representative RTT values for all of the streams, because
> > the report has to be sent with one DSCP.  If that outcome is a problem,
> > one should send separate RTCP reports (duh!).
> 
> Each reporting SSRC sends a separate RTCP report block for each SSRC it
> receives, so this is not a problem. The question is what marking an SSRC uses
> for the RTCP packets it sends, given that it uses several different markings
> for the RTP media packets it sends.
> 
> > That statement seems valuable to make and can be made with a citation of
> > RFC 3530, as opposed to the multi-stream optimization draft.
> >
> > Harald and Colin - what do you think?
> 
> The discussion of the multi-stream-optimisation draft is a separate issue, and
> is correct as it is.
> 
> --
> Colin Perkins
> http://csperkins.org/
> 
>

---

From: Colin Perkins <[email-masked]>
Date: Thu, 28 Aug 2014 12:02:01 +0100

David,

>   different PHBs, even if those PHBs differ solely in drop precedence.

A quick follow-up to ensure this is clear: the multi-stream-optimisation cannot be used when reporting on received RTP streams where the different streams have different markings, since those streams are treated differently in the network. 

The marking I use for the RTP streams I send (and hence the marking I use for my RTCP packets) doesn’t influence whether I can use the multi-stream-optimisation, however.

Colin

-- 
Colin Perkins
http://csperkins.org/